Page MenuHomePhabricator

precommit for D98423
ClosedPublic

Authored by bule on Mar 13 2021, 7:39 PM.

Details

Summary

This patch is a pre-commit patch for D98423

Diff Detail

Unit TestsFailed

TimeTest
1,540 msx64 windows > lit.lit::reorder.py
Script: -- : 'RUN: at line 3'; cp C:/ws/w16e2-1/llvm-project/premerge-checks/build/utils/lit/tests\Inputs/reorder/.lit_test_times.txt C:/ws/w16e2-1/llvm-project/premerge-checks/build/utils/lit/tests\Inputs/reorder/.lit_test_times.txt.orig

Event Timeline

bule requested review of this revision.Mar 13 2021, 7:39 PM
bule created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptMar 13 2021, 7:39 PM
anton-afanasyev accepted this revision.Mar 13 2021, 9:07 PM
This revision is now accepted and ready to land.Mar 13 2021, 9:07 PM

@bule Do you have commit access for this and D98423?

bule added a comment.Mar 16 2021, 4:16 AM

@bule Do you have commit access for this and D98423?

No, but it seems the testcase didn't pass the CI test becasue the check is not correct. Wroking on that.

bule updated this revision to Diff 331000.Mar 16 2021, 8:39 AM

Fix the duplicate element error that cause the failure in CI

Fix the duplicate element error that cause the failure in CI

Ok, is it working now? I could commit it on your behalf.

bule added a comment.Mar 16 2021, 9:02 AM

Fix the duplicate element error that cause the failure in CI

Ok, is it working now? I could commit it on your behalf.

Thanks a lot, I am waiting for the build status. Does it still need anton @anton-afanasyev to review it first? since I have changed the code a lot.

bule added a comment.Mar 16 2021, 9:38 AM

Fix the duplicate element error that cause the failure in CI

Ok, is it working now? I could commit it on your behalf.

I believe it is ok to commit. The windows pre-merge failure is not caused by my testcase. It fails because reorder python script failed.

Fix the duplicate element error that cause the failure in CI

Ok, is it working now? I could commit it on your behalf.

Thanks a lot, I am waiting for the build status. Does it still need anton @anton-afanasyev to review it first? since I have changed the code a lot.

I've reviewed it, it's ok. Could you please provide the name and email address you would like to use in the Author property of the commit?

anton-afanasyev reopened this revision.Mar 17 2021, 1:02 AM

Sorry, prematurely closed this revision by mistake.

This revision is now accepted and ready to land.Mar 17 2021, 1:02 AM
bule added a comment.Mar 17 2021, 1:04 AM

Fix the duplicate element error that cause the failure in CI

Ok, is it working now? I could commit it on your behalf.

Thanks a lot, I am waiting for the build status. Does it still need anton @anton-afanasyev to review it first? since I have changed the code a lot.

I've reviewed it, it's ok. Could you please provide the name and email address you would like to use in the Author property of the commit?

name: Bu Le
email: bule1@huawei.com

Thanks a lot~